/**
 * @file test_uart.cpp
 * @brief Unit tests for UART wrapper component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "uart.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_uart_initialize(void)
{
    Uart uart;
    UartConfig config = {UartBaudrate::BAUD_115200, 17, 16, 8, 0, 1, 0};
    bool result = uart.initialize(UartPort::PORT_0, config);
    TEST_ASSERT_TRUE(result);
}

} // extern "C"

